@import url('https://fonts.googleapis.com/css?family=Roboto');

:root {
  --bg: #ffffff;
  --fg: #000000;
  --secondaryFg: #000000;
  --containerBg: #ffffff;
  --searchBg: var(--containerBg);
  --scrollbarColor: #3f3f3f;
  --border-style: solid;
  --fontFamily: 'Roboto Mono', monospace;
}

body {
  background-color: var(--bg);
  margin: 0px;
}
ul{
	color: #000000;
	list-style-type: "» ";
	list-style-position: outside;
	padding-left: 1em;

}
img {
  background-color: var(--bg);
  margin: 0px;
}
hr{
	height:0.1em;
}

.container {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  border-radius: 0.5rem;
  margin: 0;
  border-width: thin;
  vertical-align: top;
  
}
.texto1 {
  font-family: sans-serif;
  font-size: 1.6rem;
  font-weight: 600;
  font-family: var(--fontFamily);
  color: var(--fg);
  margin-bottom: 0.1em;
}


#clock {
  font-family: sans-serif;
  font-size: 2.2rem;
  font-weight: 600;
  font-family: var(--fontFamily);
  color: var(--fg);
  margin-bottom: 0.1em;
}

#search {
  width: 100%;
  height: 100vh;
  background-color: #ffffff;/*var(--searchBg);*/
  display: none;
  margin: auto;
  position: absolute;
  box-sizing: border-box;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#search-field {
  width: 90%;
  padding: 0.75em 1em;
  box-sizing: border-box;
  background-color: var(--searchBg);
  border: solid 0px var(--searchBg);
  font-family: var(--fontFamily);
  font-size: 3rem;
  color: var(--fg);
  outline: none;
  border: solid;
  border-radius: 0.5rem;;
  text-align: center;
}

.weather-container {
  font-size: 1.6rem;
  background-color: var(--containerBg);
  padding: 0.1em;
  border-radius: 0.5rem;
  font-family: var(--fontFamily);
  color: var(--fg);
  text-align: center;
  font-weight: 300;
  border-style: none;
}
.inline {
  display: inline-block;
}

#bookmark-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
   /*width: 36%;*/
  min-width: 830px;/*50%;*/
  max-width: 85%;
  margin: 0.1em 0em;
}

@media only screen and (max-width: 960px) {
  .container {
    height: auto;
  }
  #clock {
    margin-top: 0.01em;
  }
  .container > #bookmark-container {
    flex-direction: column;
	min-width:60%;
    width: 300px;
  }
  #bookmark-container > .bookmark-set {
    width: auto;
    margin: 0.1em 0em;
  }
  img {
	  width: 100%;
  }
}

.bookmark-set {
    vertical-align: top;
	padding: 0.8em;
  background: #a1a1a1;/*#ba331f;/*e76c7b;/*linear-gradient(to bottom, #D4AF37 0%, #C5A028 100%);/*radial-gradient(ellipse farthest-corner at right bottom, #FEDB37 0%, #FDB931 8%, #9f7928 30%, #8A6E2F 40%, transparent 80%),
                radial-gradient(ellipse farthest-corner at left top, #FFFFFF 0%, #FFFFAC 8%, #D1B464 25%, #5d4a1f 62.5%, #5d4a1f 100%);/*#dda905;*/
  border-radius: 3px;
  font-family: var(--fontFamily);
  font-size: 0.85rem;
  width: 25%;
  height: 18em;
  margin: 0em 0.2em;
  box-sizing: border-box;
  border-style: solid;
  border-radius: 0.5rem;
}

.bookmark-inner-container {
  overflow-y: scroll;
  height: 100%;
  vertical-align: top;
  padding-right: 0.1rem;
  box-sizing: border-box;
  scrollbar-width: thin;
  scrollbar-color: var(--scrollbarColor) #ffffff00;
  border-width: 1px;
}

.bookmark-inner-container::-webkit-scrollbar {
  width: 6px;
}
.bookmark-inner-container::-webkit-scrollbar-track {
  background: #ffffff00;
}
.bookmark-inner-container::-webkit-scrollbar-thumb {
  background-color: var(--scrollbarColor);
  border-radius: 6px;
  border: 3px solid #ffffff00;
}

.bookmark-title {
  text-align: center;
  background-color: #ffffff;
  font-size: 1.6rem;
  font-weight: 900;
  color: var(--fg);
  margin: 0em 0em 0.25em 0em;
  font-weight: bold;
}
.bookmark {
  font-family: 'Roboto', monospace;
  font-size: 1.3rem;
  text-decoration: none;
  color: var(--secondaryFg);
  display: block;
  margin: 0.34em 0em;
}
.bookmark:hover {
  color: #000000; /* #e2001a; var(--fg); */
  background-color: #ffffff;
  
}
